var path = require('path')
var webpack = require('webpack')

module.exports = {
    entry: './src/main/resources/META-INF/resources/js/index.ts',
    output: {
        path: path.resolve(__dirname, './build/resources/main/META-INF/resources/dist/'),
        filename: 'build.js',
        libraryTarget: 'var',
        library: 'entryPoint'
    },
    module: {
	    // Ici nous mettrons la configuration de nos loaders
	    rules: [
            {
                test: /\.vue$/,
                loader: 'vue-loader'
            },
            {
                test: /\.(ts|tsx)$/,
                loader: 'ts-loader',
                exclude: /node_modules/,
                options: {
                    appendTsSuffixTo: [/\.vue$/],
                }
            },
            {
                test: /\.scss$/,
                use: [{
                    loader: "style-loader" // creates style nodes from JS strings
                }, {
                    loader: "css-loader" // translates CSS into CommonJS
                }, {
                    loader: "sass-loader" // compiles Sass to CSS
                }]
            }
        ]
    },
    resolve: {
        alias: {
          'vue$': 'vue/dist/vue.esm.js'
        }
    }
}
